<?php if (!defined('TL_ROOT')) die('You cannot access this file directly!');

/**
 * Class CE-LoadCss
 *
 * Einbinden von CSS-Dateien, die sonst nicht benötigt werden
 * @copyright  Pergamon Interactive GmbH 2016 - 2018
 * https://www.pergamon-interactive.de
 * contact@pergamon-interactive.de
 * @author     Christian Lehmann
 *
 */
 
class CE_LoadCss extends Module
{

	public function generate()
	{
		if (TL_MODE == 'BE')
		{
			$objTemplate = new BackendTemplate('be_wildcard');


			if($this->singleSRC != "")
			{
				$objModel = \FilesModel::findByUuid($this->singleSRC);
			}

			$objTemplate->wildcard = '<span style="color: #f84; font-weight: bold ">PERGAMON</span> INTERACTIVE GMBH ### CSS - DATEI NACHLADEN ###<br>
			<b>('.$objModel->path.')</b>';

			//$objTemplate->title = $this->headline;
			$objTemplate->id = $this->id;
			$objTemplate->link = $this->name;
			$objTemplate->href = 'contao/main.php?do=themes&amp;table=tl_module&amp;act=edit&amp;id=' . $this->id;
			
			return $objTemplate->parse();
		}

		return parent::generate();
	}
	// =============================================
	protected function compile()
	{
		if($this->singleSRC != "")
		{
			$objModel = \FilesModel::findByUuid($this->singleSRC);
			$GLOBALS['TL_CSS'][] = TL_PATH.$objModel->path;
		}
	}
}
?>